Resize MetalLB address pool
curl --request PUT \
--url https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/metallb-pool \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>' \
--data '{
"size": 16
}'import requests
url = "https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/metallb-pool"
payload = { "size": 16 }
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Project-ID': '<x-project-id>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({size: 16})
};
fetch('https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/metallb-pool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pool": {
"enabled": true,
"found": true,
"addresses": "10.1.0.238-10.1.0.253",
"size": 123,
"max_size": 123
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Networking
Resize MetalLB Address Pool
Set how many private IPs MetalLB can hand to LoadBalancer services.
PUT
/
api
/
v1
/
k8s
/
clusters
/
{cluster_id}
/
metallb-pool
Resize MetalLB address pool
Updated August 24, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Path Parameters
Cluster ID (short id, e.g. q7z7zg)
Body
application/json
Example:
16
Last modified on August 24, 2026
⌘I